> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Volume



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/training/volumes
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes:
    post:
      tags:
        - training
      summary: Create Volume
      operationId: create_volume_api_v1_training_volumes_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVolumeRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateVolumeRequest:
      properties:
        name:
          type: string
          title: Name
        size:
          type: string
          title: Size
          default: 1Ti
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
      type: object
      required:
        - name
      title: CreateVolumeRequest
    VolumeResponse:
      properties:
        name:
          type: string
          title: Name
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        status:
          type: string
          title: Status
        clusterId:
          type: string
          title: Clusterid
        namespace:
          type: string
          title: Namespace
        pvcName:
          type: string
          title: Pvcname
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - name
        - size
        - status
        - clusterId
        - namespace
        - pvcName
        - createdBy
        - createdAt
      title: VolumeResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````